Summary: Runtime libraries for ix86 Red Hat Linux 7.1 compatibility
Name: x86-compat-libs
Version: 7.2
Release: 1
Copyright: GPL/LGPL/X11/MIT
Group: Development/Libraries
Buildroot: /var/tmp/compat-libs-root
ExclusiveArch: i386 
%define LIBRARIES ICE PEX5 SM X11 XIE Xaw Xext Xfont Xft Xi Xmu Xp Xpm Xrender Xt Xtst dps dpstk psres xrx form menu ncurses panel termcap slang BrokenLocale NoVersion c crypt dl m nsl nss1_compat nss1_nis nss1_files nss1_dns nss1_db nss_compat nss_dns nss_files nss_hesiod nss_nis nss_nisplus nss_ldap pthread resolv rt thread_db util nss_ldap db db1 db2 nss_db glib gmodule gthread gtk gdk stdc++ proc popt audiofile bz2 GL GLU z crack g++ sasl gdbm gdk_pixbuf gmp mp gsl gpm history readline mng tiff ungif xml png ssl crypto glut pnm utempter lber pbm pgm ppm ldap freetype ttf com_err des425 dyn gssapi_krb5 gssrpc k5crypto kadm5clnt kadm5srv kdb5 krb4 krb5 pty Xaw3d jpeg
Obsoletes: compat-libs
Prereq: /sbin/ldconfig grep

AutoReq: false

%description
This package includes a number of run-time libraries that are compiled on
Red Hat Linux 7.1 for Intel. This package is required if you want run
ix86 binaries on your ia64 system.

%prep
%setup -c -T

%build
rm -f *
for lib in %{LIBRARIES} ; do 
    candidates=$(ls /lib/lib$lib.so.* /usr/kerberos/lib/lib$lib.so.* /usr/lib/lib$lib.so.* /usr/X11R6/lib/lib$lib.so.* /lib/lib$lib-[0-9]*.so /usr/lib/lib$lib-[0-9]*.so /usr/X11R6/lib/lib$lib-[0-9]*.so /lib/lib$lib-[0-9]*.so.* /usr/lib/lib$lib-[0-9]*.so.* /usr/X11R6/lib/lib$lib-[0-9]*.so.* 2>/dev/null ||:)
    for file in $candidates ; do 
	if [ -f $file -a ! -L $file ] ; then cp $file . ; fi
    done
done
# we don't need the ncurses 3 things anymore...
rm -fv lib*.1.9.9*
strip -R .comment * || :
#create the soname links
/sbin/ldconfig -n -N -v .


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
# we need a linker too
cp /lib/ld-linux.so.2  $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT/usr/%{_target_cpu}-glibc22-linux/lib
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/%{_target_cpu}-glibc22-linux/lib

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q '^/usr/%{_target_cpu}-glibc22-linux/lib$' /etc/ld.so.conf; then
  echo "/usr/%{_target_cpu}-glibc22-linux/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
 grep -v '^/usr/%{_target_cpu}-glibc22-linux/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
 cat /etc/ld.so.conf.new > /etc/ld.so.conf
 rm -f /etc/ld.so.conf.new
 /sbin/ldconfig
fi
	  

%files
%defattr(-,root,root)
/lib/*
/usr/%{_target_cpu}-glibc22-linux/lib/*

%changelog
* Mon Nov 12 2001 Bill Nottingham <notting@redhat.com>
- update for 7.2
- remove pam; it depends on fixed-path dlopen() targets

* Thu May 17 2001 Bill Nottingham <notting@redhat.com>
- add nss_ldap, libjpeg

* Tue Mar 13 2001 Bill Nottingham <notting@redhat.com>
- add libnss1_* libraries

* Wed Jan  3 2001 Bill Nottingham <notting@redhat.com>
- rename package to avoid namespace collision

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- um, don't copy in ld-2.2.so

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- add proper prereqs
- add more libs (wheeeeeeeee)

* Sun Oct 22 2000 Bill Nottingham <notting@redhat.com>
- hack up some stuff for ia64

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- 6.2 compatibility libraries

* Mon May 20 1999 Bill Nottingham <notting@redhat.com>
- um, don't put the alpha libs in i386-glibc20-linux dir. :)

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- created the first version, just like anotehr anonftp package...
